<?php
// $Id: theme.inc,v 1.2.4.8 2009/03/12 00:39:02 michellec Exp $

/**
 * @file
 * Holds theme and preprocess functions.
 */

function template_preprocess_advanced_profile_visitors(&$variables) {
  $visitors = advanced_profile_visitors($variables['account']->uid);

  if (!empty($visitors)) {
    $variables['visitors'] = theme_item_list($visitors);
  }
  else {
    $variables['visitors'] = t("No recent visitors.");
  }
}

function advanced_profile_preprocess_user_profile(&$variables) {
  $image_path = advanced_profile_path_to_images();
  $variables['author_pane'] = theme('author_pane', $variables['account'], $image_path, 'advanced_profile_author-pane');
  $variables['profile_visitors'] = theme('advanced_profile_visitors', $variables['account']);
}


/**
 * Preprocesses template variables for the author pane.
 */
function advanced_profile_preprocess_author_pane(&$variables) {
  // Author pane is used in various places. The only way to be sure to only
  // hit it when we are using it is to check the template suggestion.
  if ($variables['template_suggestion'] == 'advanced_profile_author-pane') {
    // Attempt to override the user picture fetched by Author Pane from core.
    $sized_picture = theme('advanced_profile_user_picture', $variables['account']);
    if (!empty($sized_picture)) {
      $variables['picture'] = $sized_picture;
    }
  }
}
